Bug 1758263 - qt 5-12.5 update pushed to testing causes continual crashes
Summary: qt 5-12.5 update pushed to testing causes continual crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtdeclarative
Version: 30
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1759265 (view as bug list)
Depends On:
Blocks: 1758916
TreeView+ depends on / blocked
 
Reported: 2019-10-03 17:16 UTC by Gerald Cox
Modified: 2019-10-28 01:03 UTC (History)
12 users (show)

Fixed In Version: qt5-qtdeclarative-5.12.5-3.fc30 qt5-qtdeclarative-5.12.5-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-12 00:23:59 UTC


Attachments (Terms of Use)
backtrace upon intial login - plasma crashes (14.75 KB, text/plain)
2019-10-06 17:44 UTC, Gerald Cox
no flags Details
Dr Konqi report of crash after restarting plasma (7.53 KB, text/plain)
2019-10-07 13:46 UTC, ozeszty
no flags Details

Description Gerald Cox 2019-10-03 17:16:24 UTC
Description of problem:

Todays (October 3, 2019) push to testing of qt5 updates and associated packages causes plasma to crash continuously and restart... eventually ending with a black screen.

Discussion here:  https://discussion.fedoraproject.org/t/qt5-plasma-change-causes-crashes-october-3-2019/7955

Workaround is to backout the following:


Upgrading:
kf5-akonadi-server x86_64 19.04.2-3.fc30 updates-testing 2.7 M
kf5-akonadi-server-mysql x86_64 19.04.2-3.fc30 updates-testing 11 k
kf5-frameworkintegration x86_64 5.59.0-3.fc30 updates-testing 1.6 M
kf5-frameworkintegration-libs x86_64 5.59.0-3.fc30 updates-testing 32 k
kf5-kdeclarative x86_64 5.59.0-3.fc30 updates-testing 282 k
kf5-kdeclarative-devel x86_64 5.59.0-3.fc30 updates-testing 31 k
kf5-kwayland x86_64 5.59.0-3.fc30 updates-testing 474 k
kf5-kxmlgui x86_64 5.59.0-3.fc30 updates-testing 776 k
kf5-kxmlgui-devel x86_64 5.59.0-3.fc30 updates-testing 55 k
kwin x86_64 5.15.5-3.fc30 updates-testing 33 k
kwin-common x86_64 5.15.5-3.fc30 updates-testing 2.9 M
kwin-libs x86_64 5.15.5-3.fc30 updates-testing 1.5 M
kwin-wayland x86_64 5.15.5-3.fc30 updates-testing 370 k
plasma-integration x86_64 5.15.5-3.fc30 updates-testing 162 k
pyotherside x86_64 1.5.8-3.fc30 updates-testing 95 k
python-qt5-rpm-macros noarch 5.12.3-6.fc30 updates-testing 11 k
python2-qt5 x86_64 5.12.3-6.fc30 updates-testing 1.1 M
python2-qt5-base x86_64 5.12.3-6.fc30 updates-testing 3.0 M
python2-qt5-webkit x86_64 5.12.3-6.fc30 updates-testing 124 k
python3-qt5 x86_64 5.12.3-6.fc30 updates-testing 1.1 M
python3-qt5-base x86_64 5.12.3-6.fc30 updates-testing 3.2 M
python3-qt5-webkit x86_64 5.12.3-6.fc30 updates-testing 130 k
qgnomeplatform x86_64 0.5-11.fc30 updates-testing 136 k
qt5-designer x86_64 5.12.5-1.fc30 updates-testing 167 k
qt5-doctools x86_64 5.12.5-1.fc30 updates-testing 710 k
qt5-linguist x86_64 5.12.5-1.fc30 updates-testing 950 k
qt5-qdbusviewer x86_64 5.12.5-1.fc30 updates-testing 53 k
qt5-qt3d x86_64 5.12.5-1.fc30 updates-testing 1.8 M
qt5-qtbase x86_64 5.12.5-1.fc30 updates-testing 3.5 M
qt5-qtbase-common noarch 5.12.5-1.fc30 updates-testing 13 k
qt5-qtbase-devel x86_64 5.12.5-1.fc30 updates-testing 3.3 M
qt5-qtbase-gui x86_64 5.12.5-1.fc30 updates-testing 6.0 M
qt5-qtbase-mysql x86_64 5.12.5-1.fc30 updates-testing 42 k
qt5-qtbase-postgresql x86_64 5.12.5-1.fc30 updates-testing 45 k
qt5-qtbase-private-devel x86_64 5.12.5-1.fc30 updates-testing 904 k
qt5-qtconnectivity x86_64 5.12.5-1.fc30 updates-testing 538 k
qt5-qtdeclarative x86_64 5.12.5-1.fc30 updates-testing 3.8 M
qt5-qtdeclarative-devel x86_64 5.12.5-1.fc30 updates-testing 1.1 M
qt5-qtenginio x86_64 1:1.6.2-26.fc30 updates-testing 180 k
qt5-qtgraphicaleffects x86_64 5.12.5-1.fc30 updates-testing 116 k
qt5-qtimageformats x86_64 5.12.5-1.fc30 updates-testing 99 k
qt5-qtlocation x86_64 5.12.5-1.fc30 updates-testing 3.2 M
qt5-qtmultimedia x86_64 5.12.5-1.fc30 updates-testing 871 k
qt5-qtmultimedia-devel x86_64 5.12.5-1.fc30 updates-testing 112 k
qt5-qtquickcontrols x86_64 5.12.5-1.fc30 updates-testing 1.0 M
qt5-qtquickcontrols2 x86_64 5.12.5-1.fc30 updates-testing 2.0 M
qt5-qtquickcontrols2-devel x86_64 5.12.5-1.fc30 updates-testing 71 k
qt5-qtscript x86_64 5.12.5-1.fc30 updates-testing 1.1 M
qt5-qtscript-devel x86_64 5.12.5-1.fc30 updates-testing 82 k
qt5-qtsensors x86_64 5.12.5-1.fc30 updates-testing 226 k
qt5-qtserialport x86_64 5.12.5-1.fc30 updates-testing 66 k
qt5-qtspeech x86_64 5.12.5-1.fc30 updates-testing 45 k
qt5-qtspeech-speechd x86_64 5.12.5-1.fc30 updates-testing 27 k
qt5-qtsvg x86_64 5.12.5-1.fc30 updates-testing 181 k
qt5-qtsvg-devel x86_64 5.12.5-1.fc30 updates-testing 26 k
qt5-qttools x86_64 5.12.5-1.fc30 updates-testing 44 k
qt5-qttools-common noarch 5.12.5-1.fc30 updates-testing 11 k
qt5-qttools-devel x86_64 5.12.5-1.fc30 updates-testing 184 k
qt5-qttools-libs-designer x86_64 5.12.5-1.fc30 updates-testing 2.8 M
qt5-qttools-libs-designercomponents x86_64 5.12.5-1.fc30 updates-testing 841 k
qt5-qttools-libs-help x86_64 5.12.5-1.fc30 updates-testing 149 k
qt5-qtvirtualkeyboard x86_64 5.12.5-1.fc30 updates-testing 2.2 M
qt5-qtwayland x86_64 5.12.5-1.fc30 updates-testing 941 k
qt5-qtwebchannel x86_64 5.12.5-1.fc30 updates-testing 92 k
qt5-qtwebengine x86_64 5.12.5-1.fc30 updates-testing 45 M
qt5-qtwebkit x86_64 5.212.0-0.37.alpha2.fc30 updates-testing 14 M
qt5-qtwebkit-devel x86_64 5.212.0-0.37.alpha2.fc30 updates-testing 44 k
qt5-qtwebsockets x86_64 5.12.5-1.fc30 updates-testing 94 k
qt5-qtx11extras x86_64 5.12.5-1.fc30 updates-testing 35 k
qt5-qtx11extras-devel x86_64 5.12.5-1.fc30 updates-testing 15 k
qt5-qtxmlpatterns x86_64 5.12.5-1.fc30 updates-testing 1.2 M
xdg-desktop-portal-kde x86_64 5.15.5-4.fc30 updates-testing 209 k
yubioath-desktop x86_64 5.0.0-2.git121efe3.fc30 updates-testing 3.2 M

Comment 1 Rex Dieter 2019-10-03 20:03:57 UTC
I cannot reproduce this (I did restart my user session though, installing into a currently-running plasma session will likely be problematic)

Comment 2 Rex Dieter 2019-10-03 20:12:29 UTC
OK, subsequent logins I see one plasmashell crash, but it restarts itself fine (and subsequent 'plasmashell --replace' invocations also ok).

drkonqi backtrace:

Thread 1 (Thread 0x7f1bae683d00 (LWP 2547)):
[KCrash Handler]
#6  0x00007f1bb24be43b in QObject::setProperty(char const*, QVariant const&) () at /lib64/libQt5Core.so.5
#7  0x00007f1b7926084a in  () at /usr/lib64/qt5/qml/org/kde/plasma/private/notifications/libnotificationshelperplugin.so
#8  0x00007f1b79261710 in  () at /usr/lib64/qt5/qml/org/kde/plasma/private/notifications/libnotificationshelperplugin.so
#9  0x00007f1b7925b85b in  () at /usr/lib64/qt5/qml/org/kde/plasma/private/notifications/libnotificationshelperplugin.so
#10 0x00007f1b7925c233 in  () at /usr/lib64/qt5/qml/org/kde/plasma/private/notifications/libnotificationshelperplugin.so
#11 0x00007f1bb3cb95b5 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const () at /lib64/libQt5Qml.so.5
#12 0x00007f1bb3ba909d in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) () at /lib64/libQt5Qml.so.5
#13 0x00007f1bb3bab4d4 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) () at /lib64/libQt5Qml.so.5
#14 0x00007f1bb3bac2ce in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at /lib64/libQt5Qml.so.5
#15 0x00007f1bb3c38b46 in QV4::Runtime::method_callPropertyLookup(QV4::ExecutionEngine*, QV4::Value*, unsigned int, QV4::Value*, int) () at /lib64/libQt5Qml.so.5
#16 0x00007f1b758eca31 in  ()
#17 0x0000000000000000 in  ()

Comment 3 Gerald Cox 2019-10-03 20:36:19 UTC
I rebooted twice and had the same issues.  When using chrome, plasma stopped and restarted about 10 times in the span of 1 hour.  Finally, it just went completely black screen and wouldn't restart, so I had to reboot to recover.  As I mentioned above I backed out the changes and everything has been working normally - so there is something definitely wrong with the update.

Comment 4 Rex Dieter 2019-10-03 21:10:34 UTC
Possible you can get a backtrace or drkonqi report to compare with what I'm seeing?



Here's the full drkonqi crash report I get with better debuginfo:

Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f8832c2dd00 (LWP 26406))]

...

Thread 1 (Thread 0x7f8832c2dd00 (LWP 26406)):
[KCrash Handler]
#6  0x00007f8836a6843b in qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > >(QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > const&) (ptr=...) at kernel/qobject.cpp:3913
#7  0x00007f8836a6843b in QObject::d_func() (this=<optimized out>) at kernel/qobject.h:121
#8  0x00007f8836a6843b in QObject::setProperty(char const*, QVariant const&) (this=this@entry=0x0, name=name@entry=0x7f8805e13f6e "sourceName", value=...) at kernel/qobject.cpp:3914
#9  0x00007f8805e0a84a in NotificationsHelper::processShow() (this=0x5643fce97870) at /usr/src/debug/plasma-workspace-5.15.5-1.fc30.1.x86_64/applets/notifications/plugin/notificationshelper.cpp:133
#10 0x00007f8805e0b710 in NotificationsHelper::displayNotification(QMap<QString, QVariant> const&) (this=0x5643fce97870, notificationData=...) at /usr/src/debug/plasma-workspace-5.15.5-1.fc30.1.x86_64/applets/notifications/plugin/notificationshelper.cpp:223
#11 0x00007f8805e0585b in NotificationsHelper::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=_o@entry=0x5643fce97870, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=9, _a=_a@entry=0x7fff7ceb64c0) at /usr/src/debug/plasma-workspace-5.15.5-1.fc30.1.x86_64/x86_64-redhat-linux-gnu/applets/notifications/plugin/notificationshelperplugin_autogen/EWIEGA46WW/moc_notificationshelper.cpp:163
#12 0x00007f8805e06233 in NotificationsHelper::qt_metacall(QMetaObject::Call, int, void**) (this=0x5643fce97870, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0x7fff7ceb64c0) at /usr/src/debug/plasma-workspace-5.15.5-1.fc30.1.x86_64/x86_64-redhat-linux-gnu/applets/notifications/plugin/notificationshelperplugin_autogen/EWIEGA46WW/moc_notificationshelper.cpp:235
#13 0x00007f88382635b5 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=0x7fff7ceb6800, type=QMetaObject::InvokeMetaMethod, index=<optimized out>, argv=<optimized out>) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:335
#14 0x00007f883815309d in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., index=<optimized out>, returnType=<optimized out>, argCount=<optimized out>, argTypes=<optimized out>, engine=<optimized out>, callArgs=<optimized out>, callType=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1295
#15 0x00007f88381554d4 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., data=..., engine=0x5643fa91c040, callArgs=0x7f8824125840, callType=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.12.5/QtQml/private/../../../../../src/qml/qml/qqmlpropertycache_p.h:214
#16 0x00007f88381562ce in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at jsruntime/qv4qobjectwrapper.cpp:2118
#17 0x00007f88381e2b46 in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=1, argv=0x7f8824125768, thisObject=0x7f8824125788, this=0x7fff7ceb6968) at jsruntime/qv4functionobject_p.h:172
#18 0x00007f88381e2b46 in QV4::Runtime::method_callPropertyLookup(QV4::ExecutionEngine*, QV4::Value*, unsigned int, QV4::Value*, int) (engine=0x5643fa91c040, base=0x7f8824125788, index=<optimized out>, argv=0x7f8824125768, argc=1) at jsruntime/qv4runtime.cpp:1425
#19 0x00007f880404aa31 in  ()
#20 0x0000000000000000 in  ()
[Inferior 1 (process 26406) detached]

Comment 5 Rex Dieter 2019-10-03 21:17:46 UTC
naively rebuilding plasma-workspace doesn't help either.

looks like the notifications applet was completely rewritten in plasma-5.16

Comment 6 Jan Grulich 2019-10-04 08:08:10 UTC
One solution might be to update to Plasma 5.16.5, which I think we should do anyway as 5.15.x is a bit outdated.

Comment 7 Gerald Cox 2019-10-04 14:41:38 UTC
(In reply to Jan Grulich from comment #6)
> One solution might be to update to Plasma 5.16.5, which I think we should do
> anyway as 5.15.x is a bit outdated.

Please advise here when ready and I'll test.  Right now I am --exclude plasma-integration to keep 
the above updates from automatically applying - looks like it has already been pushed to stable.

Comment 8 Kevin Kofler 2019-10-04 23:40:06 UTC
Qt 5.12.5 was pushed to stable only on F31, the F30 update is still stuck in testing.

(That said, considering that the included QtWebEngine update fixes 41 security issues, I think we also cannot sit on the update forever.)

Comment 9 Gerald Cox 2019-10-05 00:23:37 UTC
yeah, you're correct... I saw all the emails from bodhi come across and missed the fact it was for 31.  Should be fixed before
pushing to stable though, if it were a little thing ok, but having plasma continuously recycle itself is a big deal.

Comment 10 Rex Dieter 2019-10-06 15:30:42 UTC
Reiterating my request for someone experiencing this to provide a backtrace

Comment 11 Gerald Cox 2019-10-06 16:25:13 UTC
Provide me with detailed instructions on what to do and I'll do it.

For me, this is easily reproducible by using chrome to download files from the web.  Happens just about
every time.

Comment 12 Rex Dieter 2019-10-06 16:47:53 UTC
For what I posted, drkomki crahs handler caught it.  I'd expect abrt could too.  Otherwise, running plasmashell directly from gdb should work too.

(Pardon my brevity atm, posted from my phone)

Comment 13 Gerald Cox 2019-10-06 17:14:54 UTC
No problem, I'll give it a shot...Thanks!

Comment 14 Gerald Cox 2019-10-06 17:44:02 UTC
Created attachment 1622950 [details]
backtrace upon intial login - plasma crashes

Plasma crashed upon initial login.  Let me know if this helps or if you need additional backtraces.

Comment 15 Rex Dieter 2019-10-06 17:51:07 UTC
OK, your crash there matches mine.

Unfortunately, I'm unable to reproduce any crash downloading files using chrome.

Anyone else experiencing crashes, please detail the circumstances under which it happens.

To re-iterate crash conditions reported so far here: 
1.  plasmashell crashes upon first login or resuming from sleep.  backtrace provided
2.  (others) crash downloading files using chrome (no backtrace, not reproducible, yet)

Hrm, I just experienced multiple crashes simply unlocking screen, now getting back screen too. :(  Happens repeatedly this time too :(  Running under gdb *appears* to be the same kind of crash as 1.



Any others?

Comment 16 Jan Grulich 2019-10-06 18:04:05 UTC
It crashes when you receive a notification, which is also when you log in and connect to a network or when the plasma-pk updates report its status. I was able to reproduce the crash, but I thought it was caused by some library mismatch or so, because I usually compile lots of stuff myself and the crash is gone with Plasma 5.16.5 after upgrade to Fedora 31. I checked the code and at first look I was not able to see why it crashes and it's weird it happens after Qt update.

Comment 17 Gerald Cox 2019-10-06 18:14:09 UTC
Yep... I get a notification when a download is completed.  At that time, the screen flashes black as plasma restarts - then all is good until the next notification message.  Eventually however, as I mentioned above it won't restart.  Not sure how to do the gdb trace for this - my instructions say to wait until the crash happens then run gdb - but since it recycles how do I catch it?  Might be academic at this point however since we know how to reproduce at will.

Comment 18 Jan Grulich 2019-10-07 12:39:11 UTC
Can someone run "plasmawindowed org.kde.plasma.notifications" and attach here output from that command?

Comment 19 ozeszty 2019-10-07 13:36:54 UTC
$ plasmawindowed org.kde.plasma.notifications
org.kde.plasma: requesting config for "Powiadomienia" without a containment!
org.kde.plasmaquick: Applet preload policy set to 1
kde.dataengine.notifications`: Failed to register Notifications service
QQmlComponent: Cannot create new component instance before completing the previous
QQmlComponent: Cannot create new component instance before completing the previous
QQmlComponent: Cannot create new component instance before completing the previous
QQmlComponent: Cannot create new component instance before completing the previous
QQmlComponent: Cannot create new component instance before completing the previous
QQmlComponent: Cannot create new component instance before completing the previous
QQmlComponent: Cannot create new component instance before completing the previous
QQmlComponent: Cannot create new component instance before completing the previous
QQmlComponent: Cannot create new component instance before completing the previous
QQmlComponent: Cannot create new component instance before completing the previous
QQmlComponent: Component creation is recursing - aborting
QQmlComponent: Component creation is recursing - aborting
QObject::connect: Cannot connect (null)::notificationTimeout() to NotificationsHelper::onPopupClosed()
QObject::connect(QWindow, NotificationsHelper): invalid null parameter
QObject::connect(QWindow, NotificationsHelper): invalid null parameter
QQmlComponent: Component creation is recursing - aborting
QObject::connect: Cannot connect (null)::notificationTimeout() to NotificationsHelper::onPopupClosed()
QObject::connect(QWindow, NotificationsHelper): invalid null parameter
QObject::connect(QWindow, NotificationsHelper): invalid null parameter
QQmlComponent: Component creation is recursing - aborting
QObject::connect: Cannot connect (null)::notificationTimeout() to NotificationsHelper::onPopupClosed()
QObject::connect(QWindow, NotificationsHelper): invalid null parameter
QObject::connect(QWindow, NotificationsHelper): invalid null parameter
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Cannot read property 'width' of null
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Cannot read property 'width' of null
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Cannot read property 'width' of null
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:365: TypeError: Cannot read property 'padding' of null
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:364: TypeError: Cannot read property 'padding' of null
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:363: TypeError: Cannot read property 'padding' of null
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:362: TypeError: Cannot read property 'padding' of null
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:362: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:363: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:364: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:365: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:362: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:363: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:364: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:365: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:362: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:363: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:364: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/ScrollView.qml:365: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error
file:///usr/lib64/qt5/qml/QtQuick/Controls/Button.qml:99: TypeError: Type error

//after some time

UdevQt: unhandled device action "bind"
UdevQt: unhandled device action "bind"

//after closing the element, plasma-workspace crashed leaving me with opened windows, but no desktop or panel

<Unknown File>:1: TypeError: Cannot read property 'Layout' of null
"There are still \"-10\" items in the process of being created at engine destruction."
KCrash: Application 'plasmawindowed' crashing...
KCrash: Attempting to start /usr/libexec/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0

[1]+  Zatrzymano              plasmawindowed org.kde.plasma.notifications

// abrt says „uReport data is invalid.”
// reason: plasmashell killed by SIGSEGV
// crash_function: QObject::setProperty(char const*, QVariant const&)
// plasma-workspace-5.15.5-1.fc30

Comment 20 ozeszty 2019-10-07 13:46:36 UTC
Created attachment 1623133 [details]
Dr Konqi report of crash after restarting plasma

Next i run `kstart5 plasmashell` in KRunner, another crash happened and Dr Konqi popped up.

Comment 21 Jan Grulich 2019-10-07 16:48:53 UTC
From discussion on #plasma channel on irc this seems to be a regression in qtdeclarative.

We might want to revert this change: https://github.com/qt/qtdeclarative/commit/f806d64249c6e961ab12270d3a045e9980e19cf4#diff-25d902c24283ab8cfbac54dfa101ad31

Comment 22 Rex Dieter 2019-10-07 19:02:35 UTC
Thanks Jan!  change committed, 
https://src.fedoraproject.org/rpms/qt5-qtdeclarative/c/a438d8b4e34dba5ff4e1fe3bd1db87dacd54056e?branch=master

builds underway.

Comment 23 Rex Dieter 2019-10-07 19:04:22 UTC
*** Bug 1759265 has been marked as a duplicate of this bug. ***

Comment 24 Rex Dieter 2019-10-07 19:37:33 UTC
Initial testing unsuccessful using:

$ rpm -q qt5-qtdeclarative
qt5-qtdeclarative-5.12.5-2.fc30.x86_64

tested 2 ways: 
1.  existing session running: kdialog --passivepopup "foo"
2.  reboot, login to fresh session.

Both still crash the same for me.

Comment 25 Rex Dieter 2019-10-07 19:43:00 UTC
Anyone know if anything's been filed @ bugreports.qtproject.io yet?  If not, I can try over the next day or 2.

Comment 26 Jan Grulich 2019-10-08 06:58:19 UTC
Let's first verify it's an issue in qtdeclarative, below is a build of previous version of qt5-qtdeclarative (5.12.4), pretending it's the new one, I just used older tarball. Can anyone try to install it and tell us if it makes any difference?

Build: https://jgrulich.fedorapeople.org/qtdeclarative/

Comment 27 The Source 2019-10-08 16:41:48 UTC
(In reply to Jan Grulich from comment #26)
> Let's first verify it's an issue in qtdeclarative, below is a build of
> previous version of qt5-qtdeclarative (5.12.4), pretending it's the new one,
> I just used older tarball. Can anyone try to install it and tell us if it
> makes any difference?
> 
> Build: https://jgrulich.fedorapeople.org/qtdeclarative/

No notification crash with those packages, though they cause various other glitches like missing desktop settings controls and background.

Comment 28 Jan Grulich 2019-10-08 18:40:28 UTC
(In reply to The Source from comment #27)
> (In reply to Jan Grulich from comment #26)
> > Let's first verify it's an issue in qtdeclarative, below is a build of
> > previous version of qt5-qtdeclarative (5.12.4), pretending it's the new one,
> > I just used older tarball. Can anyone try to install it and tell us if it
> > makes any difference?
> > 
> > Build: https://jgrulich.fedorapeople.org/qtdeclarative/
> 
> No notification crash with those packages, though they cause various other
> glitches like missing desktop settings controls and background.

That's weird, maybe try to restart plasmashell from a terminal and attach here the output.

Comment 29 The Source 2019-10-08 18:52:12 UTC
org.kde.plasmaquick: Applet preload policy set to 1
file:///usr/share/plasma/plasmoids/org.kde.desktopcontainment/contents/ui/main.qml:62:5: Unable to assign [undefined] to int
file:///usr/share/plasma/plasmoids/org.kde.desktopcontainment/contents/ui/main.qml:53:5: Unable to assign [undefined] to int
"file:///usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml" 
 "Error loading QML file.\n22: plugin cannot be loaded for module \"QtQuick.Controls\": Unable to load library /usr/lib64/qt5/qml/QtQuick/Controls.2/libqtquickcontrols2plugin.so: (/usr/lib64/qt5/qml/QtQuick/Controls.2/libqtquickcontrols2plugin.so: undefined symbol: _ZN11QQmlPrivate13qmlunregisterENS_16RegistrationTypeEy, version Qt_5)\n"
trying to show an empty dialog
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:146:19: QML Loader: Binding loop detected for property "height"
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:146:19: QML Loader: Binding loop detected for property "height"
Trying to use rootObject before initialization is completed, whilst using setInitializationDelayed. Forcing completion
Both point size and pixel size set. Using pixel size.
Both point size and pixel size set. Using pixel size.
Both point size and pixel size set. Using pixel size.
trying to show an empty dialog
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
trying to show an empty dialog
Trying to use rootObject before initialization is completed, whilst using setInitializationDelayed. Forcing completion
Both point size and pixel size set. Using pixel size.
trying to show an empty dialog
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:146:19: QML Loader: Binding loop detected for property "height"
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:146:19: QML Loader: Binding loop detected for property "height"
KAStatsFavoritesModel::setFavorites is ignored
trying to show an empty dialog

Comment 30 Jan Grulich 2019-10-08 18:56:14 UTC
Ok, that confirms what I expected. I will provide another build tomorrow to test.

Comment 31 Rex Dieter 2019-10-08 19:57:52 UTC
Interesting, in the meantime, I'd bisected 5.12.4 .. 5.12.5 commits and found a culprit as well,
https://code.qt.io/cgit/qt/qtdeclarative.git/commit/?h=5.12&id=692b2da77427259a3589cf8a1311075863f2f5ec

reverting that makes crash go away for me

Comment 32 Jan Grulich 2019-10-09 12:27:46 UTC
(In reply to Rex Dieter from comment #31)
> Interesting, in the meantime, I'd bisected 5.12.4 .. 5.12.5 commits and
> found a culprit as well,
> https://code.qt.io/cgit/qt/qtdeclarative.git/commit/?h=5.
> 12&id=692b2da77427259a3589cf8a1311075863f2f5ec
> 
> reverting that makes crash go away for me

Awesome, will you make an official build?

Comment 33 Fedora Update System 2019-10-09 13:25:54 UTC
FEDORA-2019-2a4f82aa58 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a4f82aa58

Comment 34 Fedora Update System 2019-10-09 15:12:24 UTC
FEDORA-2019-575dc4e836 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-575dc4e836

Comment 35 Rex Dieter 2019-10-09 15:14:54 UTC
Patched qt5-qtdeclarative-5.12.5-3 builds are now included in the aforementioned bodhi updates ( comment #33 and comment #34 )

Comment 36 Gerald Cox 2019-10-09 17:21:27 UTC
The update to qt5-qtdeclarative appears to have fixed the issue.  Thanks Rex!

Comment 37 Fedora Update System 2019-10-09 17:39:34 UTC
analitza-19.04.2-3.fc30, appmenu-qt5-0.3.0+16.10.20160628.1-17.fc30, aqbanking-5.8.2-1.fc30, deepin-editor-1.2.6.3-6.fc30, deepin-file-manager-4.7.7-5.fc30, deepin-kwin-0.0.4-4.fc30, deepin-launcher-4.6.6-5.fc30, deepin-qt-dbus-factory-1.1.0-5.fc30, deepin-qt5dxcb-plugin-1.2.0-4.fc30, deepin-qt5integration-0.3.10-4.fc30, dnscrypt-proxy-gui-1.21.16-7.fc30, dtkwidget-2.0.16.1-2.fc30, dtkwm-2.0.11-2.fc30, fcitx-qt5-1.2.3-9.fc30, gammaray-2.11.0-2.fc30, gcin-2.8.6-6.fc30, hedgewars-0.9.25-7.fc30, kf5-akonadi-server-19.04.2-3.fc30, kf5-frameworkintegration-5.59.0-3.fc30, kf5-kdeclarative-5.59.0-3.fc30, kf5-kwayland-5.59.0-3.fc30, kf5-kxmlgui-5.59.0-3.fc30, kmymoney-5.0.6-1.fc30, kwin-5.15.5-3.fc30, libfm-qt-0.14.1-4.fc30, libqtxdg-3.3.1-4.fc30, lumina-desktop-1.5.0-2.fc30, lxqt-qtplugin-0.14.0-5.fc30, mscore-2.2.1-12.fc30, plasma-integration-5.15.5-3.fc30, pyotherside-1.5.8-3.fc30, python-pyside2-5.13.1-2.fc30, python-qt5-5.12.3-6.fc30, qgis-3.4.9-3.fc30, qgnomeplatform-0.5-11.fc30, qstardict-1.3-12.fc30, qt-creator-4.9.2-2.fc30, qt5-5.12.5-1.fc30, qt5-qt3d-5.12.5-1.fc30, qt5-qtbase-5.12.5-1.fc30, qt5-qtcanvas3d-5.12.5-1.fc30, qt5-qtcharts-5.12.5-1.fc30, qt5-qtconnectivity-5.12.5-1.fc30, qt5-qtdatavis3d-5.12.5-1.fc30, qt5-qtdeclarative-5.12.5-3.fc30, qt5-qtdoc-5.12.5-1.fc30, qt5-qtenginio-1.6.2-26.fc30, qt5-qtgamepad-5.12.5-1.fc30, qt5-qtgraphicaleffects-5.12.5-1.fc30, qt5-qtimageformats-5.12.5-1.fc30, qt5-qtlocation-5.12.5-1.fc30, qt5-qtmultimedia-5.12.5-1.fc30, qt5-qtnetworkauth-5.12.5-2.fc30, qt5-qtquickcontrols-5.12.5-1.fc30, qt5-qtquickcontrols2-5.12.5-1.fc30, qt5-qtremoteobjects-5.12.5-1.fc30, qt5-qtscript-5.12.5-1.fc30, qt5-qtscxml-5.12.5-1.fc30, qt5-qtsensors-5.12.5-1.fc30, qt5-qtserialbus-5.12.5-1.fc30, qt5-qtserialport-5.12.5-1.fc30, qt5-qtspeech-5.12.5-1.fc30, qt5-qtstyleplugins-5.0.0-36.fc30, qt5-qtsvg-5.12.5-1.fc30, qt5-qttools-5.12.5-1.fc30, qt5-qttranslations-5.12.5-1.fc30, qt5-qtvirtualkeyboard-5.12.5-1.fc30, qt5-qtwayland-5.12.5-1.fc30, qt5-qtwebchannel-5.12.5-1.fc30, qt5-qtwebengine-5.12.5-2.fc30, qt5-qtwebkit-5.212.0-0.37.alpha2.fc30, qt5-qtwebsockets-5.12.5-1.fc30, qt5-qtwebview-5.12.5-1.fc30, qt5-qtx11extras-5.12.5-1.fc30, qt5-qtxmlpatterns-5.12.5-1.fc30, qt5ct-0.38-5.fc30, qtcurve-1.9.1-7.fc30, skrooge-2.20.0-3.fc30, texmaker-5.0.3-5.fc30, ugene-1.31.1-6.fc30, xdg-desktop-portal-kde-5.15.5-4.fc30, yarock-1.4.0-4.fc30, yubioath-desktop-5.0.0-2.git121efe3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a4f82aa58

Comment 38 The Source 2019-10-09 17:46:44 UTC
Update works fine for me, no more crashes

Comment 39 Kevin Kofler 2019-10-09 18:08:01 UTC
(In reply to The Source from comment #38)
> Update works fine for me, no more crashes

So can you please give it positive karma in Bodhi so it can go out to stable?

Comment 40 Fedora Update System 2019-10-09 19:10:29 UTC
FEDORA-2019-2a4f82aa58 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a4f82aa58

Comment 41 Fedora Update System 2019-10-09 19:13:57 UTC
FEDORA-2019-2a4f82aa58 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a4f82aa58

Comment 42 Fedora Update System 2019-10-09 23:05:43 UTC
qt5-qtdeclarative-5.12.5-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-575dc4e836

Comment 43 Vitaly Zaitsev 2019-10-10 07:39:29 UTC
> qt5-qtdeclarative-5.12.5-3.fc31 has been pushed to the Fedora 31 testing repository

I think this update should request Fedora 31 freeze exception, because Fedora 31 Final KDE Live will crash without it.

Comment 44 Jan Grulich 2019-10-10 10:05:02 UTC
(In reply to Vitaly Zaitsev from comment #43)
> > qt5-qtdeclarative-5.12.5-3.fc31 has been pushed to the Fedora 31 testing repository
> 
> I think this update should request Fedora 31 freeze exception, because
> Fedora 31 Final KDE Live will crash without it.

It will not, because it uses Plasma 5.16 and there the notification applet is completely rewritten and the crash is not happening there.

Comment 45 Fedora Update System 2019-10-10 17:29:11 UTC
analitza-19.04.2-3.fc30, appmenu-qt5-0.3.0+16.10.20160628.1-17.fc30, aqbanking-5.8.2-1.fc30, deepin-editor-1.2.6.3-6.fc30, deepin-file-manager-4.7.7-5.fc30, deepin-kwin-0.0.4-4.fc30, deepin-launcher-4.6.6-5.fc30, deepin-qt-dbus-factory-1.1.0-5.fc30, deepin-qt5dxcb-plugin-1.2.0-4.fc30, deepin-qt5integration-0.3.10-4.fc30, dnscrypt-proxy-gui-1.21.16-7.fc30, dtkwidget-2.0.16.1-2.fc30, dtkwm-2.0.11-2.fc30, fcitx-qt5-1.2.3-9.fc30, gammaray-2.11.0-2.fc30, gcin-2.8.6-6.fc30, hedgewars-0.9.25-7.fc30, kf5-akonadi-server-19.04.2-3.fc30, kf5-frameworkintegration-5.59.0-3.fc30, kf5-kdeclarative-5.59.0-3.fc30, kf5-kwayland-5.59.0-3.fc30, kf5-kxmlgui-5.59.0-3.fc30, kmymoney-5.0.6-1.fc30, kwin-5.15.5-3.fc30, libfm-qt-0.14.1-4.fc30, libqtxdg-3.3.1-4.fc30, lumina-desktop-1.5.0-2.fc30, lxqt-qtplugin-0.14.0-5.fc30, mscore-2.2.1-12.fc30, plasma-integration-5.15.5-3.fc30, pyotherside-1.5.8-3.fc30, python-pyside2-5.12.5-1.fc30.1, python-qt5-5.12.3-6.fc30, qgis-3.4.9-3.fc30, qgnomeplatform-0.5-11.fc30, qstardict-1.3-12.fc30, qt-creator-4.9.2-2.fc30, qt5-5.12.5-1.fc30, qt5-qt3d-5.12.5-1.fc30, qt5-qtbase-5.12.5-1.fc30, qt5-qtcanvas3d-5.12.5-1.fc30, qt5-qtcharts-5.12.5-1.fc30, qt5-qtconnectivity-5.12.5-1.fc30, qt5-qtdatavis3d-5.12.5-1.fc30, qt5-qtdeclarative-5.12.5-3.fc30, qt5-qtdoc-5.12.5-1.fc30, qt5-qtenginio-1.6.2-26.fc30, qt5-qtgamepad-5.12.5-1.fc30, qt5-qtgraphicaleffects-5.12.5-1.fc30, qt5-qtimageformats-5.12.5-1.fc30, qt5-qtlocation-5.12.5-1.fc30, qt5-qtmultimedia-5.12.5-1.fc30, qt5-qtnetworkauth-5.12.5-2.fc30, qt5-qtquickcontrols-5.12.5-1.fc30, qt5-qtquickcontrols2-5.12.5-1.fc30, qt5-qtremoteobjects-5.12.5-1.fc30, qt5-qtscript-5.12.5-1.fc30, qt5-qtscxml-5.12.5-1.fc30, qt5-qtsensors-5.12.5-1.fc30, qt5-qtserialbus-5.12.5-1.fc30, qt5-qtserialport-5.12.5-1.fc30, qt5-qtspeech-5.12.5-1.fc30, qt5-qtstyleplugins-5.0.0-36.fc30, qt5-qtsvg-5.12.5-1.fc30, qt5-qttools-5.12.5-1.fc30, qt5-qttranslations-5.12.5-1.fc30, qt5-qtvirtualkeyboard-5.12.5-1.fc30, qt5-qtwayland-5.12.5-1.fc30, qt5-qtwebchannel-5.12.5-1.fc30, qt5-qtwebengine-5.12.5-2.fc30, qt5-qtwebkit-5.212.0-0.37.alpha2.fc30, qt5-qtwebsockets-5.12.5-1.fc30, qt5-qtwebview-5.12.5-1.fc30, qt5-qtx11extras-5.12.5-1.fc30, qt5-qtxmlpatterns-5.12.5-1.fc30, qt5ct-0.38-5.fc30, qtcurve-1.9.1-7.fc30, skrooge-2.20.0-3.fc30, texmaker-5.0.3-5.fc30, ugene-1.31.1-6.fc30, xdg-desktop-portal-kde-5.15.5-4.fc30, yarock-1.4.0-4.fc30, yubioath-desktop-5.0.0-2.git121efe3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a4f82aa58

Comment 46 Fedora Update System 2019-10-12 00:23:59 UTC
analitza-19.04.2-3.fc30, appmenu-qt5-0.3.0+16.10.20160628.1-17.fc30, aqbanking-5.8.2-1.fc30, deepin-editor-1.2.6.3-6.fc30, deepin-file-manager-4.7.7-5.fc30, deepin-kwin-0.0.4-4.fc30, deepin-launcher-4.6.6-5.fc30, deepin-qt-dbus-factory-1.1.0-5.fc30, deepin-qt5dxcb-plugin-1.2.0-4.fc30, deepin-qt5integration-0.3.10-4.fc30, dnscrypt-proxy-gui-1.21.16-7.fc30, dtkwidget-2.0.16.1-2.fc30, dtkwm-2.0.11-2.fc30, fcitx-qt5-1.2.3-9.fc30, gammaray-2.11.0-2.fc30, gcin-2.8.6-6.fc30, hedgewars-0.9.25-7.fc30, kf5-akonadi-server-19.04.2-3.fc30, kf5-frameworkintegration-5.59.0-3.fc30, kf5-kdeclarative-5.59.0-3.fc30, kf5-kwayland-5.59.0-3.fc30, kf5-kxmlgui-5.59.0-3.fc30, kmymoney-5.0.6-1.fc30, kwin-5.15.5-3.fc30, libfm-qt-0.14.1-4.fc30, libqtxdg-3.3.1-4.fc30, lumina-desktop-1.5.0-2.fc30, lxqt-qtplugin-0.14.0-5.fc30, mscore-2.2.1-12.fc30, plasma-integration-5.15.5-3.fc30, pyotherside-1.5.8-3.fc30, python-pyside2-5.12.5-1.fc30.1, python-qt5-5.12.3-6.fc30, qgis-3.4.9-3.fc30, qgnomeplatform-0.5-11.fc30, qstardict-1.3-12.fc30, qt-creator-4.9.2-2.fc30, qt5-5.12.5-1.fc30, qt5-qt3d-5.12.5-1.fc30, qt5-qtbase-5.12.5-1.fc30, qt5-qtcanvas3d-5.12.5-1.fc30, qt5-qtcharts-5.12.5-1.fc30, qt5-qtconnectivity-5.12.5-1.fc30, qt5-qtdatavis3d-5.12.5-1.fc30, qt5-qtdeclarative-5.12.5-3.fc30, qt5-qtdoc-5.12.5-1.fc30, qt5-qtenginio-1.6.2-26.fc30, qt5-qtgamepad-5.12.5-1.fc30, qt5-qtgraphicaleffects-5.12.5-1.fc30, qt5-qtimageformats-5.12.5-1.fc30, qt5-qtlocation-5.12.5-1.fc30, qt5-qtmultimedia-5.12.5-1.fc30, qt5-qtnetworkauth-5.12.5-2.fc30, qt5-qtquickcontrols-5.12.5-1.fc30, qt5-qtquickcontrols2-5.12.5-1.fc30, qt5-qtremoteobjects-5.12.5-1.fc30, qt5-qtscript-5.12.5-1.fc30, qt5-qtscxml-5.12.5-1.fc30, qt5-qtsensors-5.12.5-1.fc30, qt5-qtserialbus-5.12.5-1.fc30, qt5-qtserialport-5.12.5-1.fc30, qt5-qtspeech-5.12.5-1.fc30, qt5-qtstyleplugins-5.0.0-36.fc30, qt5-qtsvg-5.12.5-1.fc30, qt5-qttools-5.12.5-1.fc30, qt5-qttranslations-5.12.5-1.fc30, qt5-qtvirtualkeyboard-5.12.5-1.fc30, qt5-qtwayland-5.12.5-1.fc30, qt5-qtwebchannel-5.12.5-1.fc30, qt5-qtwebengine-5.12.5-2.fc30, qt5-qtwebkit-5.212.0-0.37.alpha2.fc30, qt5-qtwebsockets-5.12.5-1.fc30, qt5-qtwebview-5.12.5-1.fc30, qt5-qtx11extras-5.12.5-1.fc30, qt5-qtxmlpatterns-5.12.5-1.fc30, qt5ct-0.38-5.fc30, qtcurve-1.9.1-7.fc30, skrooge-2.20.0-3.fc30, texmaker-5.0.3-5.fc30, ugene-1.31.1-6.fc30, xdg-desktop-portal-kde-5.15.5-4.fc30, yarock-1.4.0-4.fc30, yubioath-desktop-5.0.0-2.git121efe3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 47 Jan Grulich 2019-10-15 13:28:58 UTC
This should be the correct fix for this issue: https://phabricator.kde.org/D24654.

Comment 48 Fedora Update System 2019-10-16 07:51:32 UTC
FEDORA-2019-b0126ef1f0 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b0126ef1f0

Comment 49 Fedora Update System 2019-10-16 16:05:09 UTC
plasma-workspace-5.15.5-2.fc30, qt5-qtdeclarative-5.12.5-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b0126ef1f0

Comment 50 jaquilina 2019-10-19 14:50:35 UTC
Hi All,

Just updated my dev laptop that was encountering this issue and I am happy to say that this is now resolved for me.

Comment 51 Fedora Update System 2019-10-28 01:03:31 UTC
plasma-workspace-5.15.5-2.fc30, qt5-qtdeclarative-5.12.5-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.